Bug 857514 - Use PROXY_TYPE_HTTP_NO_TUNNEL for HTTP connections
Use PROXY_TYPE_HTTP_NO_TUNNEL for HTTP connections
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-httplib2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
: Reopened
Depends On: 857431
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-14 13:02 EDT by Mark McLoughlin
Modified: 2015-04-21 14:26 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-httplib2-0.9-6.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-21 14:26:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch (647 bytes, patch)
2012-09-14 13:48 EDT, Mark McLoughlin
no flags Details | Diff

  None (edit)
Description Mark McLoughlin 2012-09-14 13:02:19 EDT
I've filed this bug upstream:

  http://code.google.com/p/httplib2/issues/detail?id=228

  I'm using OpenStack's nova client (from python-novaclient) to access an 
  OpenStack installation over a corporate squid proxy

  It's a plain old HTTP connection, novaclient is using httplib2 and I'm getting 
  a 403 Forbidden from the proxy because it's using the default config for 
  rejecting CONNECT to ports other than 443

It's a pretty tiny patch and I think it makes good sense.

I'd appreciate if the patch could be applied in Fedora against 0.7.6 rather than waiting for the next release ... assuming upstream doesn't reject the approach
Comment 1 Mark McLoughlin 2012-09-14 13:48:47 EDT
Created attachment 612944 [details]
Patch
Comment 2 Fedora End Of Life 2013-04-03 09:42:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Fedora End Of Life 2015-01-09 12:22:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 09:27:55 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Fedora Update System 2015-04-03 15:40:48 EDT
python-httplib2-0.9-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/python-httplib2-0.9-6.fc22
Comment 6 Fedora Update System 2015-04-04 12:30:49 EDT
Package python-httplib2-0.9-6.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-httplib2-0.9-6.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5503/python-httplib2-0.9-6.fc22
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2015-04-21 14:26:47 EDT
python-httplib2-0.9-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.